Attribute VB_Name = "Module1"
Option Explicit

Public nEncryptionKey As Integer
Public bEncrypt As Boolean


Public Function EncryptString(ByVal sString As String) As String
     Dim i, nCh, nCh2 As Integer
     Dim sReturn, sCh As String
     
     sReturn = ""
     If Len(sString) > 0 Then
        For i = 1 To Len(sString)
             nCh = Asc(Mid(sString, i, 1))
             sCh = Chr(nCh)
             If nCh >= Asc("A") And nCh <= Asc("z") Then
                 nCh2 = (nCh Xor 255)
                 While nCh2 > 255
                   nCh2 = nCh2 - 255
                 Wend
                 sCh = Chr(nCh2)
                 sReturn = sReturn & Chr(253) & sCh
             Else
                 sReturn = sReturn & sCh
             End If
        Next i
     End If
     EncryptString = sReturn
End Function

Public Function DecryptString(ByVal sString As String) As String
     Dim i, nCh, nCh2 As Integer
     Dim sReturn, sCh As String
     Dim bLetter As Boolean
     
     sReturn = ""
     bLetter = False
     If Len(sString) > 0 Then
        For i = 1 To Len(sString)
           nCh = Asc(Mid(sString, i, 1))
           sCh = Chr(nCh)
           If bLetter = True Then
               nCh = nCh
               If nCh < 0 Then nCh = nCh + 255
               nCh2 = (nCh Xor 255)
               sCh = Chr(nCh2)
               sReturn = sReturn & sCh
               bLetter = False
           Else
               If nCh = 253 Then
                   bLetter = True
               Else
                   bLetter = False
                   sReturn = sReturn & sCh
               End If
           End If
        Next i
     End If
     DecryptString = sReturn
End Function


Public Sub ProcessFile(SourceFileName As String, DestinationFileName As String, Encrypt As Boolean)
    Dim FileNr1, FileNr2, O1, O2 As Integer
    Dim sString As String
    
    bEncrypt = Encrypt
    O1 = 0
    O2 = 0
'    On Error GoTo ErrorTrap
    FileNr1 = FreeFile
    Open SourceFileName For Input As #FileNr1
    FileNr2 = FreeFile
    O1 = 1
    Open DestinationFileName For Output Shared As #FileNr2
    O2 = 2
    
    While Not EOF(FileNr1)
        Line Input #FileNr1, sString
        If bEncrypt = True Then
            sString = EncryptString(sString)
        Else
            sString = DecryptString(sString)
        End If
        Print #FileNr2, sString
    Wend
    
    Close #FileNr1
    Close #FileNr2
    Exit Sub
'ErrorTrap:
        MsgBox "Error " & Err.Number & " " & Err.Description
        If O1 = 1 Then Close #FileNr1
        If O2 = 1 Then Close #FileNr2
End Sub

